For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
      • DELDelete a message sent by an agent
      • PUTUpdate a message sent by an agent
      • GETGet a message
      • POSTSend a message as an agent
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
ConversationsMessages

Delete a message sent by an agent

DELETE
https://api.brevo.com/v3/conversations/messages/:id
DELETE
/v3/conversations/messages/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.conversations.deleteAMessageSentByAnAgent("id");
8}
9main();

Delete a message sent by an agent. Only messages of type agent can be deleted.

Was this page helpful?
Previous

Update a message sent by an agent

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired
ID of the message

Response

The message was deleted from the conversation.

Errors

400
Bad Request Error
404
Not Found Error